# class Symbol

Symbol serialization/deserialization

### Public Class Methods

json_create(o) click to toggle source

Deserializes JSON string by converting the `string` value stored in the object to a Symbol

    # File lib/json/add/symbol.rb, line 22
    def self.json_create(o)
      o['s'].to_sym
    end

### Public Instance Methods

as_json(*) click to toggle source

Returns a hash, that will be turned into a JSON object and represent this object.

    # File lib/json/add/symbol.rb, line 9
    def as_json(*)
      {
        JSON.create_id => self.class.name,
        's'            => to_s,
      }
    end

to_json(*a) click to toggle source

Stores class name (Symbol) with String representation of Symbol as a JSON string.

    # File lib/json/add/symbol.rb, line 17
    def to_json(*a)
      as_json.to_json(*a)
    end